Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.persistence
Class EntityManagerProxy

    java.lang.Object
      org.jboss.seam.persistence.EntityManagerProxy

All Implemented Interfaces:
  Serializable, javax.persistence.EntityManager

Direct Known Subclasses:
  FullTextEntityManagerProxy

    public class EntityManagerProxy

extends Object
implements javax.persistence.EntityManager, Serializable

Proxies the EntityManager, and implements EL interpolation in JPA-QL

Author:
  Gavin King
See Also:
  Serialized Form

Constructor Summary
`EntityManagerProxy(javax.persistence.EntityManager entityManager)`

Method Summary
`void` | `clear()`
`void` | `close()`
`boolean` | `contains(Object entity)`
`javax.persistence.Query` | `createNamedQuery(String name)`
`javax.persistence.Query` | `createNativeQuery(String sql)`
`javax.persistence.Query` | `createNativeQuery(String sql, Class clazz)`
`javax.persistence.Query` | `createNativeQuery(String sql, String lang)`
`javax.persistence.Query` | `createQuery(String ejbql)`
`
`<T> T`
` | `find(Class<T> clazz, Object id)`
`void` | `flush()`
`Object` | `getDelegate()`
`javax.persistence.FlushModeType` | `getFlushMode()`
`
`<T> T`
` | `getReference(Class<T> clazz, Object id)`
`javax.persistence.EntityTransaction` | `getTransaction()`
`boolean` | `isOpen()`
`void` | `joinTransaction()`
`void` | `lock(Object entity, javax.persistence.LockModeType lm)`
`
`<T> T`
` | `merge(T entity)`
`void` | `persist(Object entity)`
`void` | `refresh(Object entity)`
`void` | `remove(Object entity)`
`void` | `setFlushMode(javax.persistence.FlushModeType fm)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EntityManagerProxy

    public EntityManagerProxy(javax.persistence.EntityManager entityManager)

Method Detail

### clear

    public void clear()

  Specified by:
    `clear` in interface `javax.persistence.EntityManager`

### close

    public void close()

  Specified by:
    `close` in interface `javax.persistence.EntityManager`

### contains

    public boolean contains(Object entity)

  Specified by:
    `contains` in interface `javax.persistence.EntityManager`

### createNamedQuery

    public javax.persistence.Query createNamedQuery(String name)

  Specified by:
    `createNamedQuery` in interface `javax.persistence.EntityManager`

### createNativeQuery

    public javax.persistence.Query createNativeQuery(String sql,
                                                     Class clazz)

  Specified by:
    `createNativeQuery` in interface `javax.persistence.EntityManager`

### createNativeQuery

    public javax.persistence.Query createNativeQuery(String sql,
                                                     String lang)

  Specified by:
    `createNativeQuery` in interface `javax.persistence.EntityManager`

### createNativeQuery

    public javax.persistence.Query createNativeQuery(String sql)

  Specified by:
    `createNativeQuery` in interface `javax.persistence.EntityManager`

### createQuery

    public javax.persistence.Query createQuery(String ejbql)

  Specified by:
    `createQuery` in interface `javax.persistence.EntityManager`

### find

    public <T> T find(Class<T> clazz,
                      Object id)

  Specified by:
    `find` in interface `javax.persistence.EntityManager`

### flush

    public void flush()

  Specified by:
    `flush` in interface `javax.persistence.EntityManager`

### getDelegate

    public Object getDelegate()

  Specified by:
    `getDelegate` in interface `javax.persistence.EntityManager`

### getFlushMode

    public javax.persistence.FlushModeType getFlushMode()

  Specified by:
    `getFlushMode` in interface `javax.persistence.EntityManager`

### getReference

    public <T> T getReference(Class<T> clazz,
                              Object id)

  Specified by:
    `getReference` in interface `javax.persistence.EntityManager`

### getTransaction

    public javax.persistence.EntityTransaction getTransaction()

  Specified by:
    `getTransaction` in interface `javax.persistence.EntityManager`

### isOpen

    public boolean isOpen()

  Specified by:
    `isOpen` in interface `javax.persistence.EntityManager`

### joinTransaction

    public void joinTransaction()

  Specified by:
    `joinTransaction` in interface `javax.persistence.EntityManager`

### lock

    public void lock(Object entity,
                     javax.persistence.LockModeType lm)

  Specified by:
    `lock` in interface `javax.persistence.EntityManager`

### merge

    public <T> T merge(T entity)

  Specified by:
    `merge` in interface `javax.persistence.EntityManager`

### persist

    public void persist(Object entity)

  Specified by:
    `persist` in interface `javax.persistence.EntityManager`

### refresh

    public void refresh(Object entity)

  Specified by:
    `refresh` in interface `javax.persistence.EntityManager`

### remove

    public void remove(Object entity)

  Specified by:
    `remove` in interface `javax.persistence.EntityManager`

### setFlushMode

    public void setFlushMode(javax.persistence.FlushModeType fm)

  Specified by:
    `setFlushMode` in interface `javax.persistence.EntityManager`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD